# Function convertToCanvasCoordinatesToRef

- convertToCanvasCoordinatesToRef<T extends Vertex2>(
  scene: Scene,
  c: Vertex2,
  out: T,
  ): T

  Converts screen coordinates to canvas coordinates.

  #### Type Parameters

  - T extends Vertex2

  #### Parameters

  - scene: Scene

    Scene which utilizes the canvas we which to get coordinate for

  - c: Vertex2

    The coordinate in local (DOM content) coordinates

  - out: T

    canvas coordinate

  #### Returns T

  Reference to `out`.